directories
  '*.ICO' = 'C:\Program Files\Control Web 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 2;
  output_timeout = 2;
  time_error_limit = 2;
  paint_time_limit = 2;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pct = 'cw_pct2403.dll', 'PCT2403.DMF', 'Pct2403.par';
end_driver;

channel
  k1 = longcard, 1, pct, input;
  k2 = longcard, 2, pct, input;
  k3 = longcard, 3, pct, input;
  k4 = longcard, 4, pct, output, 0;
  k5 = longcard, 5, pct, output, 0;
  k50 = boolean, 50, pct, input;
  k51 = boolean, 51, pct, input;
  k52 = boolean, 52, pct, input;
  k53 = boolean, 53, pct, input;
  k54 = boolean, 54, pct, input;
  k55 = boolean, 55, pct, input;
  k56 = boolean, 56, pct, input;
  k57 = boolean, 57, pct, input;
  k58 = longcard, 58, pct, input;
  k6 = longcard, 6, pct, output, 0;
  k7 = longcard, 7, pct, output, 140;
  k70 = boolean, 70, pct, output, false;
  k71 = boolean, 71, pct, output, false;
  k72 = boolean, 72, pct, output, false;
  k73 = boolean, 73, pct, output, false;
  k74 = boolean, 74, pct, output, false;
  k75 = boolean, 75, pct, output, false;
  k76 = boolean, 76, pct, output, false;
  k77 = boolean, 77, pct, output, false;
  k78 = longcard, 78, pct, output, 0;
  k8 = longcard, 8, pct, output, 140;
  k9 = longcard, 9, pct, output, 140;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1018, 716;
    win_disable = zoom;
    win_title = 'pct2403';
    send_same_data;
    visibility = false;
  end_panel;

  label label_1;
    owner = backpane;
    position = 287, 259;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = '7';
  end_label;

  label label_1;
    owner = backpane;
    position = 112, 259;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = '0';
  end_label;

  control control_4;
    owner = backpane;
    position = 322, 299, 70, 25;
    send_same_data;
    output = k78;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 322, 269, 70, 25;
    expression = k58;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  switch switch_2;
    owner = backpane;
    position = 282, 304, 21, 21;
    output = k77;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 257, 304, 21, 21;
    output = k76;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 232, 304, 21, 21;
    output = k75;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 207, 304, 21, 21;
    output = k74;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 182, 304, 21, 21;
    output = k73;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 157, 304, 21, 21;
    output = k72;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 132, 304, 21, 21;
    output = k71;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 287, 279;
    expression = k57;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 262, 279;
    expression = k56;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 237, 279;
    expression = k55;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 212, 279;
    expression = k54;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 187, 279;
    expression = k53;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 162, 279;
    expression = k52;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 137, 279;
    expression = k51;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_1;
    owner = backpane;
    position = 42, 309;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DOUT';
  end_label;

  label label_1;
    owner = backpane;
    position = 42, 279;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DIN';
  end_label;

  control control_4;
    owner = backpane;
    position = 512, 199, 70, 25;
    send_same_data;
    output = k9;
    mode = edit_box;
    range_to = 255;
    init_value = 12;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  control control_4;
    owner = backpane;
    position = 512, 169, 70, 25;
    send_same_data;
    output = k8;
    mode = edit_box;
    range_to = 255;
    init_value = 12;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  control control_4;
    owner = backpane;
    position = 512, 139, 70, 25;
    send_same_data;
    output = k7;
    mode = edit_box;
    range_to = 255;
    init_value = 12;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  label label_1;
    owner = backpane;
    position = 512, 114;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'ModeReg';
  end_label;

  label label_1;
    owner = backpane;
    position = 347, 114;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'Pednastaven';
  end_label;

  label label_1;
    owner = backpane;
    position = 172, 114;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'Hodnota';
  end_label;

  control control_4;
    owner = backpane;
    position = 312, 199, 180, 25;
    send_same_data;
    output = k6;
    mode = edit_box;
    range_to = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  control control_4;
    owner = backpane;
    position = 312, 169, 180, 25;
    send_same_data;
    output = k5;
    mode = edit_box;
    range_to = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  meter meter_1;
    timer = 1;
    owner = backpane;
    position = 112, 199, 180, 25;
    expression = k3;
    mode = text_display;
    range_to = 16777216;
    low_limit = 0;
    high_limit = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 1;
    owner = backpane;
    position = 112, 169, 180, 25;
    expression = k2;
    mode = text_display;
    range_to = 16777216;
    low_limit = 0;
    high_limit = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    owner = backpane;
    position = 42, 204;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT2';
  end_label;

  label label_1;
    owner = backpane;
    position = 42, 174;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT1';
  end_label;

  label label_1;
    owner = backpane;
    position = 42, 144;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT0';
  end_label;

  label label_1;
    owner = backpane;
    position = 447, 29;
    font = 'MS Sans Serif (Central European)', 24, bold;
    text = 'PCT-2403';
    colors
      ink = lred;
    end_colors;
  end_label;

  control control_4;
    owner = backpane;
    position = 312, 139, 180, 25;
    send_same_data;
    output = k4;
    mode = edit_box;
    range_to = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
  end_control;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 112, 279;
    expression = k50;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  switch switch_2;
    owner = backpane;
    position = 107, 304, 21, 21;
    output = k70;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  meter meter_1;
    timer = 1;
    owner = backpane;
    position = 112, 139, 180, 25;
    expression = k1;
    mode = text_display;
    range_to = 16777216;
    low_limit = 0;
    high_limit = 16777216;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

